SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   mod_python Vendors:   Apache Software Foundation
mod_python FileSession Directory Traversal Bug May Let Local Users Gain Additional Privileges
SecurityTracker Alert ID:  1015764
SecurityTracker URL:  http://securitytracker.com/id/1015764
CVE Reference:   CVE-2006-1095   (Links to External Site)
Date:  Mar 14 2006
Impact:   Execution of arbitrary code via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.2.7
Description:   A vulnerability was reported in Apache mod_python. A local user can execute arbitrary code on the target system.

The FileSession code contains a directory traversal vulnerability. A local user may be able to cause arbitrary code to be executed by the Apache httpd process.

FileSession was introduced in vers 3.2.7 and is not enabled by default.

Impact:   A local user can execute arbitrary code on the target system with the privileges of the httpd process.
Solution:   The vendor has issued a fixed version (3.2.8), available at:

http://httpd.apache.org/modules/python-download.cgi

The vendor's advisory is available at:

http://www.modpython.org/fs_sec_warn.html

Vendor URL:  www.modpython.org/fs_sec_warn.html (Links to External Site)
Cause:   Input validation error
Underlying OS:  Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC